<?php
/**
 * Este processo irá pegar as autorizações de faturamento que foram aprovadas no servidor local
 * e as enviará para o banco web.
 */
date_default_timezone_set('America/Bahia');
function connLocal(){
   // $db = mysqli_connect("localhost", "unidosimportados", "Chamod777", "unidosim_db") or die("Erro ao selecionar banco");
   $db = mysqli_connect("localhost", "root", "", "unidos") or die("Erro ao selecionar banco");
    mysqli_set_charset($db,"utf8");
    return $db;
}
function connWeb(){
  $db = mysqli_connect("mysql60-farm2.uni5.net", "unidosimportad02", "Xtdc122714", "unidosimportad02") or die("Erro ao selecionar banco");
   //   $db = mysqli_connect("localhost", "root", "", "unidos_web") or die("Erro ao selecionar banco");
   mysqli_set_charset($db,"utf8");
   return $db;
}
$connLocal = connLocal();
$connWeb = connWeb();

/**
 * Pegar solicitações pendentes de aprovação do cliente
 */
$getAutorizacoes = mysqli_query($connLocal, "SELECT * FROM autorizacao_faturamento 
   WHERE situacao = '2' AND situacao_web = '0' AND status = '0'");
if (mysqli_num_rows($getAutorizacoes) > 0) {
   while ($value = mysqli_fetch_array($getAutorizacoes)) {

      //PEGAR INFORMAÇÕES DO VENDEDOR
      $getInfoVendedor = mysqli_fetch_array(mysqli_query($connLocal, "SELECT nome FROM user WHERE id = '".$value['user_id']."'"));
      
      /**
       * Enviar Solicitação para o banco web
       */
      $addWeb = mysqli_query($connWeb, "INSERT INTO autorizacao_faturamento_web(
         id_autorizacao,
         cliente_id,
         vendedor,
         data_solicitacao,
         num_nota,
         valor,
         parcelas,
         vencimento
      )
         VALUES(
            '". $value['id'] ."',
            '". $value['cliente'] ."',
            '". $getInfoVendedor['nome'] ."',
            '". $value['data_cadastro'] ."',
            '". $value['nota_fiscal'] ."',
            '". $value['valor'] ."',
            '". $value['parcelas'] ."',
            '". $value['vencimento'] ."'
         )");

   }
}